List Entities
curl --request GET \
--url https://api.traxes.io/connect/v1/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand": "<string>",
"identifier": "<string>",
"created": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isOnline": true,
"properties": "<unknown>",
"lastSeen": "2023-11-07T05:31:56Z"
}
],
"links": {
"next": "<string>"
},
"meta": {
"continuationToken": "<string>",
"pageSize": 123
}
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Entities
List all Entities
Returns a page of Entities of the given type (if provided) and active feature (if provided)
GET
/
v1
/
entities
List Entities
Authorizations
Access Token Authentication
Query Parameters
The number of Entities per page
The token used to retrieve the next page
If set, the type of the Entities to filter on
Available options:
Battery, ChargePoint, EV, HeatPump, SolarPlant, RetrofitMeter, Meter, Inverter If set, the feature that must be active for the Entity
Available options:
CaptureChargeSessions Was this page helpful?
⌘I